$("#fphotos").append("<%= j render(:partial => 'fphoto', :object => @photos) %>")
<% if @photos.next_page %>
$('.pagination').replaceWith('<%= j paginate(@photos) %>');
<% else %>
$('.pagination').remove();
<% end %>

$("#falbums").append("<%= j render(:partial => 'falbum', :object => @albums) %>")
<% if @albums.next_page %>
$('.pagination').replaceWith('<%= j paginate(@albums) %>');
<% else %>
$('.pagination').remove();
<% end %>